|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionComboBox Class Reference
[QtGui module]

The QStyleOptionComboBox class is used to describe the parameter for drawing a combobox. More...

    #include <QStyleOptionComboBox>

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Public Functions

- QStyleOptionComboBox ()
- QStyleOptionComboBox ( const QStyleOptionComboBox & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QIcon currentIcon
- QString currentText
- bool editable
- bool frame
- QSize iconSize
- QRect popupRect

- 2 public variables inherited from QStyleOptionComplex
- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOptionComplex
- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionComboBox class is used to describe the parameter for drawing a combobox.

The QStyleOptionComboBox class is used for drawing QComboBox.

## Member Function Documentation

### QStyleOptionComboBox::QStyleOptionComboBox ()

Creates a QStyleOptionComboBox. The members variables are initialized to default values.

### QStyleOptionComboBox::QStyleOptionComboBox ( const QStyleOptionComboBox & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionComboBox::Type

Equals SO_ComboBox.

### const int QStyleOptionComboBox::Version

Equals 1.

### QIcon QStyleOptionComboBox::currentIcon

This variable holds the icon for the current item of the combo box.

### QString QStyleOptionComboBox::currentText

This variable holds the text for the current item of the combo box.

### bool QStyleOptionComboBox::editable

This variable holds whether or not the combobox is editable or not.

See also QComboBox::isEditable().

### bool QStyleOptionComboBox::frame

This variable holds indicates whether whether the combo box has a frame.

### QSize QStyleOptionComboBox::iconSize

This variable holds the icon size for the current item of the combo box.

### QRect QStyleOptionComboBox::popupRect

This variable holds the popup rectangle for the combobox.